This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 123320 - LTC8602 Not all RPMs are the same between RHEL3 U1 upgrade and U2
LTC8602 Not all RPMs are the same between RHEL3 U1 upgrade and U2
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-16 21:48 EDT by Bill Goodrich
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-23 15:44:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Goodrich 2004-05-16 21:48:34 EDT
The following has be reported by IBM LTC:  
Not all RPMs are the same between RHEL3 U1 upgrade and U2
Hardware Environment: z800

Software Environment: RHEL3 U1 upgraded to U2 via RHN


Steps to Reproduce:
1. Install RHEL3 U1
2. Register with RHN
3. Run up2date -u to upgrade U1 from channel
4. rpm -qa > U1_upgrade
5. sort U1_upgrade
6. Install RHEL3 U2 on same image
7. Register with RHN
8. Run up2date -u to pull errata from channel 
9. rpm -qa > U2_RPMS
10. sort U2_RPMS
11. diff U1_upgrade U2_RPMS     

Actual Results:
113c113
< gnome-panel-2.2.2.1-4
---
> gnome-panel-2.2.2.1-6
159a160
> jpackage-utils-1.5.33-1jpp_4rh
171d171
< kernel-2.4.21-9.EL
178a179
> laus-0.1-56RHEL3
291a293
> pam_passwdqc-0.7.5-1
391c393
< sendmail-8.12.10-1
---
> sendmail-8.12.11-3
415a418
> tclx-8.3-92

Expected Results:
Packages should all be at same level. 

Additional Information:
Main concern is with gnome-panel and sendmail. Levels should be same.
Comment 2 Bob Johnson 2004-05-17 10:26:16 EDT
Opening up Jay's reply for Bill at IBM to see:

gnome-panel appears to be one of the "extra" packages which needs to
be pushed.

jpackage-utils I suspect didn't get pulled in with the U1 install +
update, as there was nothing which required it, but the package is
indeed available in the RHEA-2004:146 errata.

kernel is nothing more than you have more than one kernel installed on
your system, so it's showing up in the 'rpm -qa' output.

laus is a brand new package, so that's why it's not getting pulled in
for a U1 install.

pam_passwdqc is a package which hasn't been pushed yet, but was
included in U2, so we'll get that fixed up today.

sendmail got pulled from the site as a result of a bug, so we'll be
pushing out a new one shortly.

tclx is in the same category as pam_passwdqc.

Comment 4 Florian La Roche 2004-05-23 15:44:30 EDT
Current differences between the channels look like this to me:

Changes from 3AS-s390 -> 3AS-s390x
(rhel-s390-as-3 -> rhel-s390x-as-3):
MAKEDEV                  3.3.8-1             3.3.12-1
comps                    3AS-0.20040506      3AS-0.20040505
gsl                      1.1.1-5
ltrace                   0.3.29-1
redhat-release           3AS-10.2            3AS-11.2
rpmdb-redhat             3-0.20040506        3-0.20040505


There have been some additional rpm package pushes after U2 release
as well as some further security updates.

I'll close this report now, please re-open if new problems come up.

greetings,

Florian La Roche




Note You need to log in before you can comment on or make changes to this bug.